All of lore.kernel.org
 help / color / mirror / Atom feed
From: Junio C Hamano <gitster@pobox.com>
To: git@vger.kernel.org
Subject: [PATCH v1 4/4] name-rev: remove "--stdin" support
Date: Mon, 10 Mar 2025 16:16:52 -0700	[thread overview]
Message-ID: <20250310231652.3742490-5-gitster@pobox.com> (raw)
In-Reply-To: <20250310231652.3742490-1-gitster@pobox.com>

As part of Git 3.0, remove the hidden synonym for "--annotate-stdin"
for real.  As this does not change the fact that it used to be
called "--stdin" in older version of Git, keep that passage in the
documentation for "--annotate-stdin".

Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
 Documentation/BreakingChanges.adoc |  6 ++++++
 builtin/name-rev.c                 |  2 ++
 t/t6120-describe.sh                | 10 ++++++++--
 3 files changed, 16 insertions(+), 2 deletions(-)

diff --git a/Documentation/BreakingChanges.adoc b/Documentation/BreakingChanges.adoc
index bdfad29d8a..61bdd586b9 100644
--- a/Documentation/BreakingChanges.adoc
+++ b/Documentation/BreakingChanges.adoc
@@ -178,6 +178,12 @@ references.
 +
 These features will be removed.
 
+* Support for "--stdin" option in the "name-rev" command was
+  deprecated (and hidden from the documentation) in the Git 2.40
+  timeframe, in preference to its synonym "--annotate-stdin".  Git 3.0
+  removes the support for "--stdin" altogether.
+
+
 == Superseded features that will not be deprecated
 
 Some features have gained newer replacements that aim to improve the design in
diff --git a/builtin/name-rev.c b/builtin/name-rev.c
index beac166b5c..3f49138551 100644
--- a/builtin/name-rev.c
+++ b/builtin/name-rev.c
@@ -578,11 +578,13 @@ int cmd_name_rev(int argc,
 				   N_("ignore refs matching <pattern>")),
 		OPT_GROUP(""),
 		OPT_BOOL(0, "all", &all, N_("list all commits reachable from all refs")),
+#ifndef WITH_BREAKING_CHANGES
 		OPT_BOOL_F(0,
 			   "stdin",
 			   &transform_stdin,
 			   N_("deprecated: use --annotate-stdin instead"),
 			   PARSE_OPT_HIDDEN),
+#endif /* WITH_BREAKING_CHANGES */
 		OPT_BOOL(0, "annotate-stdin", &annotate_stdin, N_("annotate text from stdin")),
 		OPT_BOOL(0, "undefined", &allow_undefined, N_("allow to print `undefined` names (default)")),
 		OPT_BOOL(0, "always",     &always,
diff --git a/t/t6120-describe.sh b/t/t6120-describe.sh
index 71e261394a..256ccaefb7 100755
--- a/t/t6120-describe.sh
+++ b/t/t6120-describe.sh
@@ -300,8 +300,14 @@ test_expect_success 'name-rev --annotate-stdin' '
 
 test_expect_success 'name-rev --stdin deprecated' '
 	git rev-list --all >list &&
-	git name-rev --stdin <list 2>actual &&
-	test_grep "warning: --stdin is deprecated" actual
+	if ! test_have_prereq WITH_BREAKING_CHANGES
+	then
+		git name-rev --stdin <list 2>actual &&
+		test_grep "warning: --stdin is deprecated" actual
+	else
+		test_must_fail git name-rev --stdin <list 2>actual &&
+		test_grep "unknown option .stdin." actual
+	fi
 '
 
 test_expect_success 'describe --contains with the exact tags' '
-- 
2.49.0-rc2-173-g4d16673c2b


  parent reply	other threads:[~2025-03-10 23:17 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-10 23:16 [PATCH v1 0/4] drop "name-rev --stdin" support Junio C Hamano
2025-03-10 23:16 ` [PATCH v1 1/4] t: introduce WITH_BREAKING_CHANGES prerequisite Junio C Hamano
2025-03-10 23:53   ` Eric Sunshine
2025-03-11 12:57   ` Patrick Steinhardt
2025-03-11 17:07     ` Junio C Hamano
2025-03-10 23:16 ` [PATCH v1 2/4] t6120: avoid hiding "git" exit status Junio C Hamano
2025-03-10 23:16 ` [PATCH v1 3/4] t6120: further modernize Junio C Hamano
2025-03-10 23:16 ` Junio C Hamano [this message]
2025-03-11 12:57   ` [PATCH v1 4/4] name-rev: remove "--stdin" support Patrick Steinhardt
2025-03-11 17:07     ` Junio C Hamano
2025-03-11 21:24 ` [PATCH v2 0/6] drop "name-rev --stdin" support Junio C Hamano
2025-03-11 21:25   ` [PATCH v2 1/6] t: document test_lazy_prereq Junio C Hamano
2025-03-11 21:25   ` [PATCH v2 2/6] t: extend test_lazy_prereq Junio C Hamano
2025-03-12  7:01     ` Patrick Steinhardt
2025-03-13 11:56       ` Junio C Hamano
2025-03-11 21:25   ` [PATCH v2 3/6] t: introduce WITH_BREAKING_CHANGES prerequisite Junio C Hamano
2025-03-12  7:01     ` Patrick Steinhardt
2025-03-11 21:25   ` [PATCH v2 4/6] t6120: avoid hiding "git" exit status Junio C Hamano
2025-03-11 21:25   ` [PATCH v2 5/6] t6120: further modernize Junio C Hamano
2025-03-11 21:25   ` [PATCH v2 6/6] name-rev: remove "--stdin" support Junio C Hamano

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20250310231652.3742490-5-gitster@pobox.com \
    --to=gitster@pobox.com \
    --cc=git@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.